Bug 1248490 - tomcat 6.0.24
tomcat 6.0.24
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tomcat6 (Show other bugs)
6.0
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: David Knox
tomcat-qe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 08:02 EDT by dave.berkhousen
Modified: 2015-11-01 19:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-03 10:34:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dave.berkhousen 2015-07-30 08:02:17 EDT
Description of problem:

This package is missing the tomcat-dbcp.jar.   According to my research Redhat did not package tomcat-dbcp.jar with the latest tomcat 6 distribution and is expecting users to leverage the org.apache.commons.dbcp.BasicDataSourceFactory inside the commons-dbcp.jar.  Well org.apache.commons.dbcp.BasicDataSourceFactory in commons-dbcp.jar has a bug and caused our application to become unresponsive.  We fixed this issue by downloading the latest Tomcat6 distribution from the Apache website and copying the tomcat-dbcp.jar that comes with that distribution into our /tomcat6/libs directory.  This is a known issue that you have fixed in your Tomcat 7 distribution but failed to fix properly in your Tomcat 6.  Please pull the latest version of org.apache.tomcat.dbcp.dbcp.BasicDataSourceFactory from the Apache tomcat-dbcp.jar and get your tomcat6 package fixed.


Version-Release number of selected component (if applicable): 6.0.24


How reproducible:  Establish a database connection to Oracle 11g using org.apache.tomcat.dbcp.dbcp.BasicDataSourceFactory in the commons-dbcp.jar of the Redhat Tomcat 6.0.24 package.  Let the application sit for an hour or two and the application will become unresponsive.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 dave.berkhousen 2015-07-30 08:05:09 EDT
Correction: How reproducible:  Establish a database connection to Oracle 11g using org.apache.commons.dbcp.BasicDataSourceFactory in the commons-dbcp.jar of the Redhat Tomcat 6.0.24 package.  Let the application sit for an hour or two and the application will become unresponsive.
Comment 3 RHEL Product and Program Management 2015-07-30 10:07:59 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 dave.berkhousen 2015-07-30 10:09:34 EDT
DO NOT CLOSE THIS WITHOUT AN EXPLANATION AGAIN.
Comment 5 dave.berkhousen 2015-07-30 10:20:25 EDT
Steps to Reproduce:

1. Yum install tomcat 6 on RHEL 6
2. Notice that tomcat-dbcp.jar is missing from /tomcat/libs
3. Download the latest Tomcat 6 distro from Apache website
4. Install Apache distro of Tomcat 6 on RHEL 6
5. Notice that tomcat-dbcp.jar DOES exist in /tomcat/libs
6. Notice that the version of org.apache.commons.dbcp.BasicDataSourceFactory in the commons-dbcp.jar in the Redhat Tomcat 6 does not match the org.apache.tomcat.dbcp.dbcp.BasicDataSourceFactory in the Apache tomcat-dbcp.jar
Comment 6 Mikolaj Izdebski 2015-07-30 10:23:30 EDT
Please clarify, is this bug report about Tomcat in Red Hat Enterprise Linux, or in Red Hat Software Collections?
Comment 7 dave.berkhousen 2015-07-30 10:25:39 EDT
Red Hat Enterprise Linux
Comment 10 Steve Almy 2015-07-31 15:03:08 EDT
Hi Dave,

If you have an active subscription, please log a support ticket.  That will help us to get some added attention on this BZ and identify any workarounds that may be available in the short term.

Thanks.
Comment 11 dave.berkhousen 2015-08-03 10:30:30 EDT
Please close this bug.  I'll be opening a case in the Redhat Customer portal.

Note You need to log in before you can comment on or make changes to this bug.